<!-- ******************************************************** -->
<!--  Docbook Version:  For Toolkit Developers Guide          -->
<!-- ******************************************************** -->

<!-- ******************* Section (Level#1) ****************** -->
<sect1 id="sect.DsgnFuncEMField">
<title>
Electromagnetic Fields
</title>

<para>
The object-oriented design of the classes related to the electromagnetic field
is shown in the class diagram of <xref linkend="fig.DsgnFuncEMField_1" />.  
The diagram is described in UML notation. 

<figure id="fig.DsgnFuncEMField_1">
<title>
Electromagnetic Field
</title>
<mediaobject>
  <imageobject role="fo">
    <imagedata fileref="./AllResources/OOAnalysisDesign/ElectromagneticField/field-prop.jpg" 
               format="JPG" contentwidth="10.0cm" align="center" />
  </imageobject>
  <imageobject role="html">
    <imagedata fileref="./AllResources/OOAnalysisDesign/ElectromagneticField/field-prop.jpg" 
               format="JPG" contentwidth="120%" align="center" />
  </imageobject>
</mediaobject>
</figure>
</para>

</sect1>

